declare enum SequenceStatus {
    IDLE = 0,
    RUNNING = 1,
    PAUSED = 2
}
declare class Display {
    private parentElement;
    private canvas;
    private ctx;
    private screen;
    constructor();
    private create;
    private updateSize;
    update(msg: Message): void;
}
declare class Client {
    private display;
    private client;
    private connected;
    private progress;
    constructor();
    private onMessage;
    private onOpen;
    private onClose;
    private setSequence;
    private setStatus;
    private setProgress;
    private setDisplay;
    private cmd;
    disableClass(className: string): void;
    enableClass(className: string): void;
    sendCameraOpen(): void;
    private receiveCameraOpen;
    sendCameraClose(): void;
    private receiveCameraClose;
    sendSelect(): void;
    private receiveSelect;
    private receiveUpdate;
    fullscreen(): void;
    exitFullscreen(): void;
    private active;
    private inactive;
}
declare const client: Client;
